Item Logo
Wms apiApi referenceOutbound api

DN ACK By Paging

DN ACK By Paging API

This article introduces the general DN ACK by Paging API for easily understanding and applying this API.

Introduction

The DN ACK by Paging API in WMS is used to send an acknowledgement after importing DN. This API is particularly useful for confirming the successful receipt and processing of delivery notification by the system, ensuring tat all relevant parties are informed that the DN has been received and logged. Via paging, the API can handle large amounts of data efficiently, sending acknowledgments in batches if needed. This improves system scalability and responsiveness in high-volume environments.

API Request

API: POST /edi/outbound/order/ack/search-by-paging Body Request:


FieldName


Description

DataType

Length

Required

Version

Sample

Root









1

CompanyID


Hard code, assigned by UNIS system admin.

string

15

Yes

1.3

"LT"

2

FacilityID


FacilityID indicates which warehouse UNIS ship from. It should be assigned by UNIS CSR

string

15

Yes

1.3

"889"

3

CustomerID


Hard code, assigned by UNIS accounting dept.

string

15

Yes

1.3

"AUKINT0001"

4

PONo


Your customer's Purchse Order Number, doesn't need to be unique.

string

50

No

1.3

"8957515451-10"

5

ReferenceNo


Reference Number, Unique identifier, indicate an order.

string

50

No

1.3

"LIV2020021804-10"

6

CreatedWhenFrom


Created From

string

50

No

1.3

"2020-02-24T00:11:11.892"

7

CreatedWhenTo


Created To

string

30

No

1.3

"2020-02-24T00:12:11.892"

8

Paging


Paging

object


No

1.3



8.1

PageNo

Page Number

int


No

1.3

1

API Return

It will return a message to indicate whether the cancellation successes or not. For more details, please refer to the Example below.

Example

Request

```json // Url http://preview.logisticsteam.com/shared/bam/v1/public/edi/outbound/order/ack/search-by-paging

// Body { "CompanyID": "LT", "CustomerID": "AUKINT0001", "FacilityID": "889", "PONo": "", "ReferenceNo": "", "CreatedWhenFrom": "2020-06-15T00:11:11.892", "CreatedWhenTo": "2020-06-20T00:12:11.892", "Paging":{ "PagingNo":1 } } ```

Response

json // Success return [ { "FacilityID": "889", "CustomerID": "AUKINT0001", "ReferenceNo": "31312321", "ACK": { "CustomerId": "AUKINT0001", "PONo": null, "ReferenceNo": 31312321, "WISEPOID": "DN-16945", "Status": "Warning", "Error": "New ship to address (GLOBAL GRANITE MARBLE) Created by EDI./n" }, "CreatedWhen": "2020-06-15T20:14:04.055" }, { "FacilityID": "889", "CustomerID": "AUKINT0001", "ReferenceNo": "", "ACK": { "code": "EDI-ERROR-ReferenceNo is required", "error": "ReferenceNo is required" }, "CreatedWhen": "2020-06-15T20:13:44.774" } ]

json // Failed return { "error": "Not found order" }